Bug 43366 - groff is confused by '-' at end of arg list if given filenames
Summary: groff is confused by '-' at end of arg list if given filenames
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: groff   
(Show other bugs)
Version: 7.1
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Florian La Roche
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-06-04 03:52 UTC by Jeff Haemer
Modified: 2007-04-18 16:33 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-06 04:11:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jeff Haemer 2001-06-04 03:52:02 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.2-2 i686)

Description of problem:
If invoked as "groff foo -", groff is supposed to process first "foo" and
then
stdin.  Instead, it bails, with the complaint
"gzip: stdin: Bad file descriptor"

How reproducible:
Always

Steps to Reproduce:
1.  echo hello > hello.nr;  echo world > world.nr	# sample input
2.  cat  hello.nr | groff - world.nr | ghostview -	# this works
3.  cat  world.nr | groff hello.nr - | ghostview -	# this fails and whines
	

Actual Results:  step 3 reports 

	gzip: stdin: Bad file descriptor

and processes only "hello.nr"


Expected Results:  Output of steps 2 & 3 should be identical.
Failure on step 3 is a regression.

Additional info:

The bug is in groff, not ghostview.

Also,  invoking groff with '-mm'  in the examples will make it easier to
see the bug in ghostview, but isn't necessary; I was just trying to give
you as clean
a testcase as I could.

FWIW, the bug breaks a feature frequently used by all the regular troff
users I've talked to, and will require hacking up both scripts and
makefiles to get around.

Comment 1 Jonathan Kamens 2001-08-06 04:11:01 UTC
I just ran into this problem.  It is, indeed, going to require that I hack
around several scripts to get them to work right.  Ugh.


Comment 2 Florian La Roche 2002-11-04 21:38:09 UTC
This is fixed in RHL8 with groff-1.18-8 from rawhide.

greetings,

Florian La Roche



Note You need to log in before you can comment on or make changes to this bug.